package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListItemDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListItemStatisticDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:29
 */
public interface FireCheckListItemRepository extends BaseRepository<FireCheckListItemDO> {
    PageResponse<FireCheckListItemDO> listPage(Map<String, Object> params);

    List<FireCheckListItemDO> listByFireCheckId(String fireCheckId);

    void deleteByFireCheckId(String fireCheckId);

    List<FireCheckListItemStatisticDO> statisticListByFireCheckIdList(List<String> fireCheckIdList);

    Long countByDeviceId(String fireDeviceId);
}

